## ros-kinetic-bota-device-driver 0.5.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(bota_device_driver)
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
set(PACKAGE_DEPENDENCIES
  bota_node
  rokubimini
  rokubimini_manager
)

find_package(catkin REQUIRED COMPONENTS
  ${PACKAGE_DEPENDENCIES}
)

add_definitions(-std=c++14 -Wall -Werror)

if(CMAKE_COMPILER_IS_GNUCXX) 
  if (CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 7.0) 
    add_definitions(-faligned-new)
  endif() 
endif() 

###################################
## catkin specific configuration ##
###################################

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS
  ${PACKAGE_DEPENDENCIES}
)

###########
## Build ##
###########

include_directories(include)
include_directories(${catkin_INCLUDE_DIRS}
)


add_library(${PROJECT_NAME} src/BotaDeviceDriver.cpp)
add_dependencies(${PROJECT_NAME}  ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME}
   ${catkin_LIBRARIES}
)

add_executable(${PROJECT_NAME}_node src/${PROJECT_NAME}_node.cpp)
add_dependencies(${PROJECT_NAME}_node ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME}_node
   ${PROJECT_NAME}
   ${catkin_LIBRARIES}
)

#############
## Install ##
#############

# Mark executables and/or libraries for installation
install(TARGETS ${PROJECT_NAME} ${PROJECT_NAME}_node
 ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
 LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
 RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Mark cpp header files for installation
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(DIRECTORY bin config launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(PROGRAMS bin/rokubimini_launch.sh
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-bota-device-driver (0.5.9-2xenial) xenial; urgency=high

  * add url to wiki
  * Feature - add firmware update
  * fix catkin_lint warning: variable CMAKE_CXX_FLAGS is modified
  * Contributors: Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Fri, 05 Feb 2021 22:00:00 -0000

ros-kinetic-bota-device-driver (0.5.8-2xenial) xenial; urgency=high

  * Release 0.5.7 into master
  * add condition for adding -faligned-new flag in GCC
  * Contributors: Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Thu, 12 Nov 2020 22:00:00 -0000

ros-kinetic-bota-device-driver (0.5.7-2xenial) xenial; urgency=high

  * Fix gcc error for extended alignment
  * Release master 0.5.6
  * change minimum cmake version required to 3.0.2
  * Contributors: Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Tue, 03 Nov 2020 22:00:00 -0000

ros-kinetic-bota-device-driver (0.5.6-2xenial) xenial; urgency=high

  * Merge branch 'fix/cmake-policy-cmp0048' into 'master'
    change minimum cmake version required to 3.0.2
    Closes #29
    See merge request botasys/bota_driver!66
  * change minimum cmake version required to 3.0.2
  * Merge branch 'fix/merge-release-0.5.5-into-master' into 'master'
    merge release 0.5.5 into master
    See merge request botasys/bota_driver!64
  * Merge branch 'fix/ros-logging-fail' into 'melodic-devel'
    Fix ROS_DEBUG() breaking ARM build on ROS buildfarm
    See merge request botasys/bota_driver!58
    (cherry picked from commit 503d92fc3c5548327386a777f774854fed9fbc14)
  * Merge branch 'melodic-devel' into 'master'
    Merge melodic-devel into master
    See merge request botasys/bota_driver!55
  * add proper build path for non-master branches. master branch CI needs to change. change Dockerfile and gitlab-ci.yml to use .rosinstall file
  * Merge branch 'feature/increment-patch-version' into 'master'
    Increment patch version
    See merge request botasys/bota_driver!48
  * Increment patch version
  * Merge branch 'feature/remove-any-node-dep' into 'master'
    Remove any_node dependency
    See merge request botasys/bota_driver!47
  * Remove any_node dependency
  * Contributors: Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Mon, 02 Nov 2020 22:00:00 -0000

ros-kinetic-bota-device-driver (0.5.5-2xenial) xenial; urgency=high

  * Merge branch 'release/0.5.4' into 'melodic-devel'
    Release 0.5.4
    See merge request botasys/bota_driver!54
  * Release 0.5.4
  * Merge branch 'release/0.5.3' into 'melodic-devel'
    Release 0.5.3
    See merge request botasys/bota_driver!52
  * Release 0.5.3
  * merge release 0.5.2 into melodic-devel
  * Contributors: Mike Karam, Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Sun, 01 Nov 2020 22:00:00 -0000

ros-kinetic-bota-device-driver (0.5.4-2xenial) xenial; urgency=high

  * Merge branch 'release/0.5.3' into 'melodic-devel'
    Release 0.5.3
    See merge request botasys/bota_driver!52 <https://gitlab.com/botasys/bota_driver/-/merge_requests/52>
  * Release 0.5.3
  * merge release 0.5.2 into melodic-devel
  * Contributors: Mike Karam, Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Fri, 30 Oct 2020 22:00:00 -0000

ros-kinetic-bota-device-driver (0.5.3-2xenial) xenial; urgency=high

  * merge release 0.5.2 into melodic-devel
  * Contributors: Mike Karam

 -- Bota Systems AG <sw-support@botasys.com>  Thu, 29 Oct 2020 22:00:00 -0000

ros-kinetic-bota-device-driver (0.5.2-2xenial) xenial; urgency=high

  * Merge branch 'feature/increment-patch-version' into 'master'
    Increment patch version
    See merge request botasys/bota_driver!48 <https://gitlab.com/botasys/bota_driver/-/merge_requests/48>
  * Increment patch version
  * Merge branch 'feature/remove-any-node-dep' into 'master'
    Remove any_node dependency
    See merge request botasys/bota_driver!47 <https://gitlab.com/botasys/bota_driver/-/merge_requests/47>
  * Remove any_node dependency
  * Contributors: Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Wed, 28 Oct 2020 22:00:00 -0000

ros-kinetic-bota-device-driver (0.5.1-2xenial) xenial; urgency=high

  * Merge branch 'feature/remove-any-node-dep' into 'master'
    Remove any_node dependency
    See merge request botasys/bota_driver!47
  * Remove any_node dependency
  * Contributors: Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Mon, 26 Oct 2020 22:00:00 -0000

ros-kinetic-bota-device-driver (0.5.0-2xenial) xenial; urgency=high

  * Merge branch 'feature/remove-redundant-ethercat-pdos'
  * Merge branch 'feature/move-publishers-to-instances'
  * Merge branch 'feature/remove-message-logger-dependency'
  * remove ethercat_pdo_type from yaml
  * fix clang format
  * remove rokubimini_msgs from bota_device_driver
  * Merge branch 'feature/publish-frame-id' into 'master'
    Add frame_id in published data
  * Merge branch 'feature/rename-project' into 'master'
    Rename project to bota_driver
  * Contributors: Ilias Patsiaouras, Mike Karamousadakis

 -- Bota Systems AG <sw-support@botasys.com>  Mon, 19 Oct 2020 21:00:00 -0000

=== debian/control ===
Source: ros-kinetic-bota-device-driver
Section: misc
Priority: optional
Maintainer: Bota Systems AG <sw-support@botasys.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-bota-node, ros-kinetic-catkin, ros-kinetic-rokubimini, ros-kinetic-rokubimini-manager
Homepage: http://wiki.ros.org/bota_driver
Standards-Version: 3.9.2

Package: ros-kinetic-bota-device-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-bota-node, ros-kinetic-rokubimini, ros-kinetic-rokubimini-manager
Description: ROS node for communicating with rokubimini sensors

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-bota-device-driver//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
